Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.exception
Class GridException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              lbg.common.exception.GridException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  GridNetworkException

    public class GridException

extends java.lang.Exception

Author:
  Cyril Briquet
See Also:
  Serialized Form

Constructor Summary
`GridException()` Constructs a new GridException.
`GridException(java.lang.String msg)` Constructs a new GridException.
`GridException(java.lang.String msg, java.lang.Throwable e)` Constructs a new GridException.
`GridException(java.lang.Throwable e)` Constructs a new GridException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GridException

    public GridException()

  Constructs a new GridException.

### GridException

    public GridException(java.lang.String msg)

  Constructs a new GridException.

  Parameters:
    `msg` - message to encapsulate

### GridException

    public GridException(java.lang.Throwable e)

  Constructs a new GridException.

  Parameters:
    `e` - Exception to encapsulate

### GridException

    public GridException(java.lang.String msg,
                         java.lang.Throwable e)

  Constructs a new GridException.

  Parameters:
    `msg` - message to encapsulate
    `e` - Exception to encapsulate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.